# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.shared.cli.AbstractCommandLine<T extends CommandLineArguments>
Modifier and Type
Constant Field
Value
`public static final String`
`ARGS_PROPERTY`
`"net.shibboleth.shared.cli.arguments"`
`public static final int`
`RC_INIT`
`1`
`public static final int`
`RC_IO`
`2`
`public static final int`
`RC_MODULE`
`3`
`public static final int`
`RC_OK`
`0`
`public static final int`
`RC_UNKNOWN`
`-1`

net.shibboleth.shared.codec.Base32Support
Modifier and Type
Constant Field
Value
`public static final boolean`
`CHUNKED`
`true`
`public static final boolean`
`UNCHUNKED`
`false`
net.shibboleth.shared.codec.Base64Support
Modifier and Type
Constant Field
Value
`public static final boolean`
`CHUNKED`
`true`
`public static final boolean`
`UNCHUNKED`
`false`
net.shibboleth.shared.codec.CodecException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-5363065537464226216L`
net.shibboleth.shared.codec.DecodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6872603098799441191L`
net.shibboleth.shared.codec.EncodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`6872603098799441191L`
net.shibboleth.shared.codec.HTMLEncoder
Modifier and Type
Constant Field
Value
`public static final char`
`REPLACEMENT_CHAR`
`'\ufffd'`
`public static final String`
`REPLACEMENT_HEX`
`"fffd"`

net.shibboleth.shared.collection.LazyList<ElementType>
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-7741904523916701817L`
net.shibboleth.shared.collection.LazyMap<KeyType,ValueType>
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`121425595164176639L`
net.shibboleth.shared.collection.LazySet<ElementType>
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-1596445680460115174L`

net.shibboleth.shared.component.ComponentInitializationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-470551134594606458L`
net.shibboleth.shared.component.DestroyedComponentException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-2254557697221898493L`
net.shibboleth.shared.component.UninitializedComponentException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-3451363632449131551L`
net.shibboleth.shared.component.UnmodifiableComponentException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`4652326903008490376L`

net.shibboleth.shared.httpclient.HttpClientSupport
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_KEY_DYNAMIC_CONTEXT_HANDLERS`
`"java-support.DynamicContextHandlers"`
`public static final String`
`CONTEXT_KEY_REQUEST_TIMEOUT`
`"java-support.RequestTimeout"`
net.shibboleth.shared.httpclient.RequestTimeoutExceededException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-4315409154151655702L`
net.shibboleth.shared.httpclient.TLSSocketFactory
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_KEY_HOSTNAME_VERIFIER`
`"javasupport.HostnameVerifier"`
`public static final String`
`CONTEXT_KEY_TLS_CIPHER_SUITES`
`"javasupport.TLSCipherSuites"`
`public static final String`
`CONTEXT_KEY_TLS_PROTOCOLS`
`"javasupport.TLSProtocols"`
`public static final String`
`SSL`
`"SSL"`
`public static final String`
`SSLV2`
`"SSLv2"`
`public static final String`
`TLS`
`"TLS"`
net.shibboleth.shared.httpclient.TLSSocketFactoryBuilder
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_CONTEXT_PROTOCOL`
`"TLS"`

net.shibboleth.shared.io.SizeLimitExceededException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7231208188074320319L`

net.shibboleth.shared.logic.ConstraintViolationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-3994361273802830823L`

net.shibboleth.shared.net.URIException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-1461435058482575852L`

net.shibboleth.shared.primitive.DeprecationSupport
Modifier and Type
Constant Field
Value
`public static final String`
`LOG_CATEGORY`
`"DEPRECATED"`

net.shibboleth.shared.resolver.ResolverException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`485895728446891757L`

net.shibboleth.shared.scripting.AbstractScriptEvaluator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ENGINE`
`"JavaScript"`

net.shibboleth.shared.security.DataExpiredException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-4345061831894801408L`
net.shibboleth.shared.security.DataSealer
Modifier and Type
Constant Field
Value
`private static final int`
`CHUNK_SIZE`
`60000`
`public static final String`
`MAGIC_STRING`
`"PXR5"`
`private static final int`
`PREFIX_LEN`
`10`
net.shibboleth.shared.security.DataSealerException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5366134892878709189L`
net.shibboleth.shared.security.EncryptedCookieManager
Modifier and Type
Constant Field
Value
`public static final String`
`NEGATIVE_VALUE`
`"__NO"`
net.shibboleth.shared.security.KeyNotFoundException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`310860860022348748L`

net.shibboleth.shared.security.impl.BasicKeystoreKeyStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`CURRENT_VERSION_PROP`
`"CurrentVersion"`
net.shibboleth.shared.security.impl.net.shibboleth.shared.security.impl.BasicKeystoreKeyStrategyTool.CommandLineArgs
Modifier and Type
Constant Field
Value
`public static final String`
`HELP`
`"--help"`
`public static final String`
`KEY_ALIAS`
`"--alias"`
`public static final String`
`KEY_COUNT`
`"--count"`
`public static final String`
`KEY_SIZE`
`"--size"`
`public static final String`
`KEY_TYPE`
`"--type"`
`public static final String`
`STORE_FILE`
`"--storefile"`
`public static final String`
`STORE_PASS`
`"--storepass"`
`public static final String`
`STORE_TYPE`
`"--storetype"`
`public static final String`
`VERSION_FILE`
`"--versionfile"`
net.shibboleth.shared.security.impl.net.shibboleth.shared.security.impl.SelfSignedCertificateGenerator.CommandLineArgs
Modifier and Type
Constant Field
Value
`public static final String`
`CERT_ALG`
`"--certAlg"`
`public static final String`
`CERT_FILE`
`"--certfile"`
`public static final String`
`CERT_LIFETIME`
`"--lifetime"`
`public static final String`
`DNS_ALTNAMES`
`"--dnsAltName"`
`public static final String`
`HELP`
`"--help"`
`public static final String`
`HOSTNAME`
`"--hostname"`
`public static final String`
`KEY_FILE`
`"--keyfile"`
`public static final String`
`KEY_SIZE`
`"--size"`
`public static final String`
`KEY_TYPE`
`"--type"`
`public static final String`
`STORE_FILE`
`"--storefile"`
`public static final String`
`STORE_PASS`
`"--storepass"`
`public static final String`
`STORE_TYPE`
`"--storetype"`
`public static final String`
`URI_ALTNAMES`
`"--uriAltName"`

net.shibboleth.shared.service.ServiceException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5875639786427807960L`

net.shibboleth.shared.service.reloadable.ReloadableScope
Modifier and Type
Constant Field
Value
`public static final String`
`SCOPE_RELOADABLE`
`"reloadable"`

net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`CUSTOM_PARSER_PROPERTIES_LOCATION`
`"META-INF/net/shibboleth/spring/parser.properties"`
net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`
`"META-INF/net/shibboleth/spring/handlers/"`

net.shibboleth.shared.spring.error.ExtendedMappingExceptionResolver
Modifier and Type
Constant Field
Value
`private static final String`
`MODEL_ATTR_CUSTOM`
`"custom"`
`private static final String`
`MODEL_ATTR_DIGESTER`
`"cspDigester"`
`private static final String`
`MODEL_ATTR_ENCODER`
`"encoder"`
`private static final String`
`MODEL_ATTR_ENVIRONMENT`
`"environment"`
`private static final String`
`MODEL_ATTR_NONCE`
`"cspNonce"`
`private static final String`
`MODEL_ATTR_REQUEST`
`"request"`
`private static final String`
`MODEL_ATTR_RESPONSE`
`"response"`
`private static final String`
`MODEL_ATTR_SPRINGCONTEXT`
`"springContext"`

net.shibboleth.shared.spring.resource.ConditionalResource
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_CONTENT`
`"<beans xmlns=\"http://www.springframework.org/schema/beans\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd\"></beans>"`
net.shibboleth.shared.spring.resource.ConditionalResourceResolver
Modifier and Type
Constant Field
Value
`static final String`
`CONDITIONAL_RESOURCE_PREFIX`
`"conditional:"`

net.shibboleth.shared.spring.security.factory.PKCS11PrivateKeyFactoryBean
Modifier and Type
Constant Field
Value
`private static final String`
`UNCONFIGURED_PROVIDER_NAME`
`"SunPKCS11"`

net.shibboleth.shared.spring.servlet.impl.DelegatingServletProxy
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5470308159110258401L`
net.shibboleth.shared.spring.servlet.impl.SameSiteCookieHeaderFilter
Modifier and Type
Constant Field
Value
`private static final String`
`SAMESITE_ATTRIBITE_NAME`
`"SameSite"`

net.shibboleth.shared.spring.velocity.SpringResourceLoader
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"spring"`
`public static final String`
`SPRING_RESOURCE_LOADER`
`"spring.resource.loader"`
`public static final String`
`SPRING_RESOURCE_LOADER_CACHE`
`"resource.loader.spring.cache"`
`public static final String`
`SPRING_RESOURCE_LOADER_CLASS`
`"resource.loader.spring.class"`
`public static final String`
`SPRING_RESOURCE_LOADER_PATH`
`"spring.resource.loader.path"`
net.shibboleth.shared.spring.velocity.VelocityConfigurer
Modifier and Type
Constant Field
Value
`private static final String`
`SPRING_MACRO_LIBRARY`
`"net/shibboleth/shared/spring/velocity/spring.vm"`
`private static final String`
`SPRING_MACRO_RESOURCE_LOADER_CLASS`
`"resource.loader.springMacro.class"`
`private static final String`
`SPRING_MACRO_RESOURCE_LOADER_NAME`
`"springMacro"`

net.shibboleth.shared.testing.ShowAutomaticModuleNames
Modifier and Type
Constant Field
Value
`private static final String`
`AUTO_MODULE_NAME`
`"Automatic-Module-Name"`
net.shibboleth.shared.testing.net.shibboleth.shared.testing.ShowAutomaticModuleNames.TerminationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1L`

net.shibboleth.shared.xml.ClasspathResolver
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSPATH_URI_SCHEME`
`"classpath:"`
net.shibboleth.shared.xml.XMLConstants
Modifier and Type
Constant Field
Value
`public static final String`
`LIST_DELIMITERS`
`" \n\r\t"`
`public static final String`
`XML_NS`
`"http://www.w3.org/XML/1998/namespace"`
`public static final String`
`XML_PREFIX`
`"xml"`
`public static final String`
`XMLNS_NS`
`"http://www.w3.org/2000/xmlns/"`
`public static final String`
`XMLNS_PREFIX`
`"xmlns"`
`public static final String`
`XSD_NS`
`"http://www.w3.org/2001/XMLSchema"`
`public static final String`
`XSD_PREFIX`
`"xsd"`
`public static final String`
`XSI_NS`
`"http://www.w3.org/2001/XMLSchema-instance"`
`public static final String`
`XSI_PREFIX`
`"xsi"`
net.shibboleth.shared.xml.XMLParserException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7260425832643941776L`